Subject: Re: linux-next: manual merge of the signal tree with the modules tree

From: Rusty Russell <[email-masked]>
Date: Mon, 18 Mar 2013 11:26:54 +1030

Sedat Dilek <[email-masked]> writes:
> On Fri, Mar 15, 2013 at 5:41 AM, Rusty Russell <[email-masked]> wrote:
>> Stephen Rothwell <[email-masked]> writes:
>>> Hi Al,
>>>
>>> Today's linux-next merge of the signal tree got a conflict in
>>> include/asm-generic/unistd.h between commit 837718bfd28b
>>> ("CONFIG_SYMBOL_PREFIX: cleanup") from the modules tree and commit
>>> e1b5bb6d1236 ("consolidate cond_syscall and SYSCALL_ALIAS declarations")
>>> from the signal tree.
>>>
>>> The latter moved the cond_syscall stuff to linkage.h, so I applied the
>>> following patch as a merge fixup and can carry the fix as necessary (no
>>> action is required).  I am not sure if this is completely correct or all
>>> that is needed.
>>
>> Your fix looks correct, thanks.
>>
>> I've been forced to update that patch after another round of
>> improvements, so you may need to re-do the merge.
>>
>
> Hi,
>
> I just looked into modules-next...
> The improved version is in [1]...
> ...and contains a file called "kernel/modsign_certificate.S" which is
> NOT in the latest Linux-Next tree [2].
> So, I thought about reverting the one in -next and apply the new one
> from modules-next.
> This is not possible!

I'd wait until Stephen has done the new merge, which should happen
within 12 hours from now.

Thanks,
Rusty.